Subject: bug#23888: 25.1.50; Info calc -- No such node or anchor: Top

From: Udyant Wig <[email-masked]>
Date: Mon, 4 Jul 2016 00:54:56 +0530

On 07/03/2016 10:20 PM, Eli Zaretskii wrote:
>> From: Udyant Wig <[email-masked]>
>> Date: Sun, 3 Jul 2016 15:49:03 +0530
>>
>> I tried to open the Calc manual in Info with these steps:
>>
>> 0    C-h i
>> 1    m calc
>> 2     error mentioned in the Subject
>>
>> In the top level Info directory, I could access most of the other
>> nodes I tried.
> 
> Crystal ball says that the above tried to access the installed manuals
> on your system, not the ones in the Emacs 25.1.50 tree.  If the guess
> is correct, we have to know much more about those installed manuals
> than what you told.
> 
> FWIW, the following alternative recipe works for me with current
> master HEAD, from the top directory of the Emacs tree:
> 
>   src/emacs -Q
>   C-u C-h i ./info/dir
>   m calc RET
> 
> Thanks.

  Well, here are some of the variables that I think are relevant:

Info-default-directory-list
=> ("/usr/local/share/info/" "/usr/share/info/" "/usr/local/share/info/")

Info-additional-directory-list
=> ("/usr/local/share/info")

Info-directory-list
=> ("/home/udyant/.emacs.d/elpa/auctex-11.89.4"
    "/home/udyant/.emacs.d/elpa/magit-2.7.0"
    "/home/udyant/.emacs.d/elpa/magit-popup-2.7.0"
    "/home/udyant/.emacs.d/elpa/slime-2.18"
    "/home/udyant/.emacs.d/elpa/with-editor-2.5.1"
    "/usr/local/share/info/"
    "/usr/share/info/"
    "/usr/local/share/info/")

  These are samples from Dired:

/usr/local/share/info:
-rw-r--r-- 1 udyant staff  12763 2016-07-04 00:40:14.617361891 +0530 bovine.info.gz
-rw-r--r-- 1 udyant staff     20 2016-07-04 00:40:14.645361890 +0530 calc.info.gz
-rw-r--r-- 1 udyant staff  86671 2016-07-04 00:40:14.665361889 +0530 ccmode.info.gz

/home/udyant/build/emacs/info:
-rw-rw-r-- 1 udyant udyant   38914 2016-06-22 16:33:21.035243000 +0530 bovine.info
-rw-rw-r-- 1 udyant udyant       0 2016-06-22 16:36:59.490816000 +0530 calc.info
-rw-rw-r-- 1 udyant udyant  331805 2016-06-30 08:37:58.601633000 +0530 ccmode.info

-- 
Udyant Wig